Bug 1229395 - Review Request: fedora-workstation-repositories - repositories for Fedora Workstation
Summary: Review Request: fedora-workstation-repositories - repositories for Fedora Wor...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-08 15:24 UTC by Matthias Clasen
Modified: 2015-10-13 20:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-13 20:28:53 UTC
msuchy: fedora-review+


Attachments (Terms of Use)

Description Matthias Clasen 2015-06-08 15:24:51 UTC
Spec URL: https://mclasen.fedorapeople.org/fedora-workstation-repositories/fedora-workstation-repositories.spec
SRPM URL: https://mclasen.fedorapeople.org/fedora-workstation-repositories/fedora-workstation-repositories-23-1.fc22.src.rpm
Description: Repository files that make some select non-Fedora software available
via search in gnome-software.

For the background, see https://fedoraproject.org/wiki/Third_Party_Repository_Policy

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-06-12 01:43:56 UTC
Shouldn't Source0 be a real URL? What is the plan here: more repos will be added later?

%defattr is deprecated.

Does the license have to be MIT? Couldn't it be something public-domainy like CC-0?

Comment 2 Miroslav Suchý 2015-06-16 08:09:03 UTC
Why is it called "fedora-workstation-repositories"? This sounds like there is no use for cloud or server, which is not true.
Can we rather call it fedora-third-party-repositories?

Which repositories do you want to include there? Just phracek/PyCharm? Or selected subset of Copr repos (i.e. equivalent of playground)? Or all Copr repos?

Comment 3 Paul W. Frields 2015-07-21 19:46:30 UTC
The repositories are meant to have use in the context of a Fedora Workstation installation, and would not necessarily be applicable (or might not work in Cloud case) in other editions.  Those editions have the opportunity to add other metadata-enabled repositories that make sense for their use cases.

Comment 4 Miroslav Suchý 2015-07-22 06:49:41 UTC
Thanks for clarifying. Since thre is nothing complicated there, I guess I can say:

APPROVED

Comment 5 Miroslav Suchý 2015-08-13 08:52:09 UTC
ping! any progress here?

Comment 6 Miroslav Suchý 2015-10-01 10:46:27 UTC
ping! any progress here?

Comment 7 Matthias Clasen 2015-10-01 18:09:18 UTC
Sorry I haven't gotten back to this. Let me put this on my todo list for tomorrow.

Comment 8 Gwyn Ciesla 2015-10-02 17:11:12 UTC
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.


Note You need to log in before you can comment on or make changes to this bug.